Get till status details by tillUid
Get till status by using token information and storeUid from url
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/status
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tillUidstringRequiredPattern:
Reference to a till.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
Cash report for a till.
zReport is the Z report this close made. Absent when none was made. Get the whole report with the get operation.
bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired
The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)
cashRevenueAmountintegerRequired
After the till is closed the cash revenue will be calculated in this field
cashreportUidstringRequiredPattern:
^[A-Za-z0-9-_]+changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/status
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/status HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"bankdepositAmount": 1,
"bankdepositReference": "text",
"cashDifferenceAmount": 1,
"cashRevenueAmount": 1,
"cashreportUid": "text",
"changeAmount": 1,
"closedAt": "2026-01-01T00:00:00.000Z",
"closedByDisplayName": "text",
"comment": "text",
"countedAmount": 1,
"openAt": "2026-01-01T00:00:00.000Z",
"openByDisplayName": "text",
"status": "OPEN",
"withdrawalAmount": 1,
"cashDetailsAtOpen": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
],
"cashDetailsAtClose": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
],
"zReport": {
"id": "text",
"tillUid": "text",
"source": "STORED",
"sequenceNumber": 1,
"date": "2026-01-01",
"periodFrom": "2026-01-01T00:00:00.000Z",
"periodTo": "2026-01-01T00:00:00.000Z",
"producedAt": "2026-01-01T00:00:00.000Z",
"producedBy": "TILL_CLOSE",
"receiptCount": 1,
"totalSales": 1,
"returnCount": 1,
"returnAmount": 1,
"grandTotalSales": 1,
"grandTotalReturn": 1,
"grandTotalNet": 1
}
}Last updated
Was this helpful?

